
table {
    width: 100%;
    border-collapse: collapse;
    border: 5px solid black; /* Taulukon ympäri musta kehys */
    border-radius: 10px; /* Pyöristetyt kulmat taulukolle */
    background-color: #f0f8f0; /* Vaalean vihreä tausta */
}

/* Taulukon ja th-solujen taustaväri ja pyöristyneet kulmat */
th {
    background-color: #d3f4d3; /* Vaalean vihreä tausta */
    border: 3px solid black; /* Musta kehys */
    border-radius: 5px;
    text-align: center;
    vertical-align: middle;
    padding: 10px;
}

/* Solujen ulkoasu */
td {
    border: 2px solid red; /* Punainen kehys tavallisissa soluissa */
    border-radius: 10px; /* Pyöristetyt kulmat */
    text-align: center; /* Keskitetään teksti horisontaalisesti */
    vertical-align: middle; /* Keskitetään teksti vertikaalisesti */
    padding: 10px;
    background-color: white; /* Valkoinen tausta tavallisille soluille */
}

/* Hover-efekti tavallisille soluilla */
td:hover {
    background-color: #add8e6; /* Vaalea harmaa hover-tila */
}

/* Muutokset jos solussa on hiiri päällä */
th:hover {
    background-color: #d3f4d3; /* TH-solujen taustaväri ei muutu */
}